class_name MainMenu extends Control

@export var btnNewGame:Button
@export var btnSettings:Button
@export var settingsMenu:ClosableMenu
@export_file("*.tscn") var newGameScene:String

func _ready() -> void:
  btnNewGame.pressed.connect(onNewGamePressed)
  btnSettings.pressed.connect(onSettingsPressed)

func onNewGamePressed() -> void:
  SCENE.setScene(SceneSingleton.SceneType.OVERWORLD)
  OVERWORLD.mapChange(newGameScene, "PlayerSpawnPoint")

func onSettingsPressed() -> void:
  print("Settings button pressed")
  settingsMenu.isOpen = true
